Undo a scheduled cancellation
Requires organization:update. Answers 404 without a current subscription and 409 when it is not set to be canceled.
POST
/organizations/{organizationId}/billing/subscription/resumeAuthorization
AuthorizationBearer token (JWT) · headerrequiredAn access token issued by this service (RFC 9068), in the Authorization header as Bearer <token>.
Path parameters
organizationIdstring<uuid>requiredResponses
200
The subscription, no longer set to be canceled.
idstringrequiredThe Stripe subscription ID.
planstring | nullThe plan of its price, null when the price is not in the catalog.
statusstringrequiredThe Stripe subscription status, active or trialing for a current subscription.
seatsintegerrequiredLicensed environments.
current_period_startstring<date-time> | nullcurrent_period_endstring<date-time> | nullcancel_at_period_endbooleanrequiredcancel_atstring<date-time> | nullWhen the subscription is set to end, if it is.
canceled_atstring<date-time> | nullended_atstring<date-time> | nulltrial_startstring<date-time> | nulltrial_endstring<date-time> | nulldefault
The request failed.
errorstringrequiredStable machine-readable code.
Allowed:
invalid_requestunauthorizedforbiddennot_foundconflictgoneunavailableinternalmessagestringrequiredHuman-readable explanation.